Subject: Re: [bug#63088] [PATCH] Add Lc0.

From: zamfofex <[email-masked]>
Date: Fri, 28 Jul 2023 15:14:24 -0300 (BRT)

> This sentence looks semantically incorrect.

Yes, sorry! I guess you didn’t receive my correction email. (I’m still bad at sending emails properly, it seems.) See: <https://issues.guix.gnu.org/63088#8> I had meant “Lc0 does *not* run without the neural networks”.

> Providing a default, if it can be bootstrapped, but allowing the user to choose would be the best option.

I don’t think a default can be easily bootstrapped. When I first submitted the patch, I talked with some of the Lc0 developers, and they said it might be possible to bootstrap one by using Stockfish in several minutes, but there is no code that does that currrently (it would have to be written and is nontrivial). And it wouldn’t be as effective as the existing networks, because Stockfish’s evaluation provides less information than Lc0’s is able to use.

In any case, that feels entirely redundant, because Stockfish’s NNUE networks were trained on Lc0’s anyway, so it seems to be only adding a layer of complexity for no seemingly good reason.

If this concern can be addressed somehow, I can submit a followup patch. (Either just fixing the wording, or also removing the networks.)